MCP Gateway
ApiSkills

List skills

List all skills with optional filtering by name, description, source type, or linked MCP server.

GET
/api/v1/skills

Query Parameters

offset?integer

Number of items to skip

Default0
Range0 <= value
limit?integer

Maximum items to return

Default100
Range1 <= value <= 100
search?|

Search by name or description

source_type?|

Filter by source type

mcp_server_id?|

Filter by linked MCP server

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/skills"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "source_type": "imported",
      "source_url": "string",
      "mcp_server_id": "e10a714a-6b0a-499f-b13f-db958c6ad8c0",
      "mcp_server_name": "string",
      "skill_metadata": {},
      "package_size_bytes": 0,
      "portal_visible": false,
      "portal_category": "string",
      "portal_tags": [
        "string"
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "offset": 0,
  "limit": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}